# Get current user's reward chains

Client endpoint. Gets the current user’s reward chains.

  Attention
    All projects have the limitation to the number of items that you can
    get in the response. The default and maximum value is 50 items
    per response. To get more data page by page, use limit
    and offset fields.
  
  Note
    This API call uses a user JWT for authorization.
    Include the token in the Authorization header in the following format: Bearer &lt;user_JWT&gt;. For more information about user JWT, see the Security block for this call.

Endpoint: GET /v2/project/{project_id}/user/reward_chain
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.
    Example: true

  - `total_items_count` (integer)
    Total number of reward chains in the system.
    Example: 10

  - `items` (array)

  - `items.reward_chain_id` (integer)
    Reward chain ID.
    Example: 9

  - `items.name` (string)
    Reward chain name.
    Example: "Weekly quest"

  - `items.description` (string,null)
    Reward chain description.
    Example: "Major weekly quest"

  - `items.long_description` (string,null)
    Reward chain long description.
    Example: "You can get a lot of additional items just by shopping during the week"

  - `items.image_url` (string,null)
    Image URL.

  - `items.order` (integer)
    Defines arrangement order.

  - `items.date_start` (string)
    Date when your reward chain starts.

  - `items.date_end` (string,null)
    Date when your reward chain promotion ends. Can be null. If date_end is null, the reward chain will be unlimited by time.

  - `items.clan_type` (string,null)
    Clan type.
    Enum: "clan", "guild", "faction", "community", "team", "squad", "alliance", "association", "coalition", "union", "group", "civilizations", "dynasty", "order", "league", "brotherhood", "kingdom", "organization", "house", "empire", "tribe", "cartel", null

  - `items.top_contributors` (array)

  - `items.top_contributors.name` (string)
    User ID that is sent to Xsolla during the authorization process. The user ID is used to link the user with your Xsolla Login project and is displayed as a nickname. If you are using authorization by [user ID](https://developers.xsolla.com/solutions/web-shop/create-web-shop/set-up-authentication/?tabs=100-UserIDAuth&link=100-UserIDAuth), we recommend passing the name parameter in [the webhook response](https://developers.xsolla.com/webhooks/operation/user-validation-in-webshop/). This parameter contains the username that will be used as a nickname.
    Example: "Rocket"

  - `items.top_contributors.contributed_amount` (integer)
    Amount of value points earned by the user.
    Example: 100

  - `items.value_point` (object)

  - `items.value_point.sku` (string)
    Unique value point ID.

  - `items.value_point.name` (string)
    Value point name.

  - `items.value_point.image_url` (string)
    Image URL.

  - `items.value_point.description` (string,null)
    Value point description.

  - `items.value_point.long_description` (string,null)
    Value point long description.

  - `items.value_point.amount` (integer)
    Amount of value points.

  - `items.value_point.is_clan` (boolean)
    Whether the value point is used in clan reward chains.

  - `items.steps` (array)

  - `items.steps.step_id` (integer)
    Step ID.
    Example: 10

  - `items.steps.name` (string)
    Step name.
    Example: "Level 1"

  - `items.steps.is_claimed` (boolean)
    Whether the step reward is claimed.

  - `items.steps.image_url` (string)
    Image URL.

  - `items.steps.price` (object)

  - `items.steps.price.amount` (integer)
    The number of value points that a user claim for the step.
    Example: 100

  - `items.steps.reward` (array)

  - `items.steps.reward.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `items.steps.reward.name` (string)
    Item name.
    Example: "Super box"

  - `items.steps.reward.type` (string)
    Type of item.
    Example: "bundle"

  - `items.steps.reward.description` (string)
    Item description.
    Example: "Super box with items"

  - `items.steps.reward.image_url` (string)
    Image URL.

  - `items.steps.reward.quantity` (integer)
    Item quantity.
    Example: 2

  - `items.recurrent_schedule` (object,null)
    Recurrent reset period of the reward chain.

  - `items.recurrent_schedule.interval_type` (any)

  - `items.recurrent_schedule.reset_next_date` (integer)
    Calculated date and time when the reward chain will be reset next time (Unix Timestamp).  For example, the reward chain is reset monthly, starting from March 1, 2024, at 01:00 Kuala Lumpur time (GMT+8). The date and time of the next reward chain reset, April 1, 2024 at 01:00 Kuala Lumpur time (GMT+8), which equals March 31, 2024 17:00 GMT+0 or 1711904400000 in the Unix Timestamp format.  Example: 1711904400000

  - `items.popup_header` (object,null)
    Object with localizations for header of a clan reward chain tooltip popup window. Two-letter lowercase [language code](https://developers.xsolla.com/doc/pay-station/features/localization/).

  - `items.popup_header.en` (string,null)
    Example: "How to unlock rewards"

  - `items.popup_header.ar` (string,null)

  - `items.popup_header.bg` (string,null)

  - `items.popup_header.cn` (string,null)

  - `items.popup_header.cs` (string,null)

  - `items.popup_header.de` (string,null)
    Example: "Wie man Belohnungen freischaltet"

  - `items.popup_header.es` (string,null)
    Example: "Cómo desbloquear recompensas"

  - `items.popup_header.fr` (string,null)
    Example: "Comment débloquer des récompenses"

  - `items.popup_header.he` (string,null)

  - `items.popup_header.it` (string,null)
    Example: "Come sbloccare ricompense"

  - `items.popup_header.ja` (string,null)
    Example: "報酬をアンロックする方法"

  - `items.popup_header.ko` (string,null)

  - `items.popup_header.pl` (string,null)

  - `items.popup_header.pt` (string,null)

  - `items.popup_header.ro` (string,null)

  - `items.popup_header.ru` (string,null)

  - `items.popup_header.th` (string,null)

  - `items.popup_header.tr` (string,null)

  - `items.popup_header.tw` (string,null)

  - `items.popup_header.vi` (string,null)

  - `items.popup_instruction` (object,null)
    Object with localizations for instruction of a clan reward chain tooltip popup window. Two-letter lowercase [language code](https://developers.xsolla.com/doc/pay-station/features/localization/).

  - `items.popup_instruction.en` (string,null)
    Example: "You must be a clan member to get clan rewards. You join a clan when a clan member invites you to the clan, and you accept the invite. You can also create your own clan."

  - `items.popup_instruction.ar` (string,null)

  - `items.popup_instruction.bg` (string,null)

  - `items.popup_instruction.cn` (string,null)

  - `items.popup_instruction.cs` (string,null)

  - `items.popup_instruction.de` (string,null)
    Example: "Du musst ein Clanmitglied sein, um Clananreize zu erhalten. Du trittst einem Clan bei, wenn ein Clanmitglied dich einlädt, und du die Einladung annimmst. Du kannst auch deinen eigenen Clan erstellen."

  - `items.popup_instruction.es` (string,null)
    Example: "Debes ser miembro de un clan para obtener las recompensas del clan. Te unes a un clan cuando un miembro del clan te invita al clan y aceptas la invitación. También puedes crear tu propio clan."

  - `items.popup_instruction.fr` (string,null)
    Example: "Vous devez être membre d'un clan pour obtenir les récompenses du clan. Vous rejoignez un clan lorsque qu'un membre du clan vous invite au clan et que vous acceptez l'invitation. Vous pouvez également créer votre propre clan."

  - `items.popup_instruction.he` (string,null)

  - `items.popup_instruction.it` (string,null)
    Example: "Devi essere un membro del clan per ottenere le ricompense del clan. Ti unisci a un clan quando un membro del clan ti invita al clan e accetti l'invito. Puoi anche creare il tuo clan."

  - `items.popup_instruction.ja` (string,null)
    Example: "クランリワードを受け取るには、クランメンバーでなければなりません。 クランメンバーがあなたをクランに招待し、招待を受け入れると、クランに参加できます。 あなた自身のクランを作成することもできます。"

  - `items.popup_instruction.ko` (string,null)

  - `items.popup_instruction.pl` (string,null)

  - `items.popup_instruction.pt` (string,null)

  - `items.popup_instruction.ro` (string,null)

  - `items.popup_instruction.ru` (string,null)

  - `items.popup_instruction.th` (string,null)

  - `items.popup_instruction.tr` (string,null)

  - `items.popup_instruction.tw` (string,null)

  - `items.popup_instruction.vi` (string,null)

  - `items.popup_image_url` (string,null)
    Image for clan reward chain tooltip popup window.


